package com.caimei.service.data;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.FileTreeVo;

import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.List;

/**
 * @author zzj
 */
public interface DatabaseService {
    ResponseJson<List<FileTreeVo>> getFileById(Integer fileId,Integer authUserId);

    ResponseJson createPackage(Integer authUserId,Integer fileId, String packageName);

    ResponseJson downLoadZip(Integer fileId, String packageName, Integer authUserId,HttpServletResponse response);

    ResponseJson insertNewFile(String fileName, String filePath, String previewUrl, Integer parentId,String fileType);

    ResponseJson<HashMap<String, String>> ossTokenGet();

    ResponseJson getOssUploadResult(Integer authUserId,String fileName, String ossName, String ossUrl, String fileSize,Integer parentId);

    ResponseJson updatePackage(Integer fileId, String packageName, Integer packageType);

    ResponseJson movePackage(Integer fileId, Integer parentId);

    ResponseJson deleteFiles(String fileId);

    ResponseJson<FileTreeVo> getCrumbs(Integer fileId, Integer authUserId);

    ResponseJson<FileTreeVo> getPackageTree(Integer authUserId);
}
